## org.omg.CORBA
Class _IRObjectStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA._IRObjectStub

All Implemented Interfaces:
  IDLEntity, IRObject, IRObjectOperations, Object, java.io.Serializable

public class _IRObjectStub
extends ObjectImpl
implements IRObject

The base interface IRObject represents the most generic interface from which all other Interface Repository interfaces are derived, even the Repository itself.

See Also:
  Serialized Form

Constructor Summary
`_IRObjectStub()`

Method Summary
`java.lang.String[]` `_ids()`
`DefinitionKind` `def_kind()` Read accessor for def_kind attribute
`void` `destroy()` Operation destroy

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _IRObjectStub

    public _IRObjectStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute
  Specified by:
    `def_kind` in interface `IRObjectOperations`
  Returns:
    the attribute value

### destroy

    public void destroy()

  Operation destroy
  Specified by:
    `destroy` in interface `IRObjectOperations`